[Frugalware-darcs] frugalware-current: kde-theme-qtcurve-0.34-1-i686

crazy crazy at frugalware.org
Tue Mar 7 22:47:14 CET 2006


[kde-theme-qtcurve-0.34-1-i686
crazy <crazy at frugalware.org>**20060307212345
 * new package with  qtcurve-gtk-0.34-1-i686 as subpkg()
] {
adddir ./extra/source/kde/kde-theme-qtcurve
addfile ./extra/source/kde/kde-theme-qtcurve/FrugalBuild
hunk ./extra/source/kde/kde-theme-qtcurve/FrugalBuild 1
+# Last modified: Tue, 07 Mar 2006 21:58:49 +0100
+# Compiling time: ~0.39 SBU
+# Maintainer: crazy <crazy at frugalware.org>
+
+pkgname=kde-theme-qtcurve
+origver=QtCurve
+pkgver=0.34
+pkgrel=1
+pkgdesc="KDE QtCurve Theme"
+url="http://www.kde-look.org/content/show.php?content=5065"
+depends=('kdelibs>=3.5.1')
+makedepends=('gtk+' 'gtk+2')
+groups=('kde-extra')
+archs=('i686')
+up2date="lynx --dump http://www.kde-look.org/content/show.php?content=5065|grep -m 1 Version|sed 's/.*:\ \ //'"
+source=(http://www.cpdrummond.freeuk.com/$origver-$pkgver.tar.gz)
+sha1sums=('73a9292e129d6f4818e7969fbf704f771026cb4c')
+
+subpkgs=('qtcurve-gtk')
+subdescs=('GTK QtCurve Theme')
+subdepends=('libstdc++ gtk+ gtk+2')
+subgroups=('gnome-extra')
+subarchs=('i686')
+
+build()
+{
+   Fcd $origver-$pkgver
+   Fbuild --disable-debug --without-debug \
+   	  --disable-dependency-tracking \
+   	  --enable-kde-event-filter \
+   	  --enable-final
+   Fsplit qtcurve-gtk usr/lib/gtk*
+   Fsplit qtcurve-gtk usr/share/themes/QtCurve
+}
+
+# vim: ft=sh
+
+# optimalization OK
}


More information about the Frugalware-darcs mailing list